> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve a Name List Item

GET https://api.withpersona.com/api/v1/list-item/names/{list-item-id}

Retrieves the details of an existing name List Item.

Reference: https://docs.withpersona.com/api-reference/list-items/retrieve-a-name-list-item

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `list-item-id` (string, required) — ID of list item to archive.

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a List Item object.

- `data` (list-item-name, required) — A Name List Item

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 409 Conflict Error

The request conflicts with another request, often due to attempting to create a duplicate resource.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 422 Unprocessable Entity Error

The request modifies the resource in an unacceptable way, often due to an invalid action or parameter.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### list-item-name

A Name List Item

- `id` (string, optional) — Unique identifier for this list item. Starts with `lin_`.
- `type` ("list-item/name", optional)
- `attributes` (ListItemNameAttributes, optional)
- `relationships` (ListItemNameRelationships, optional)

### ListItemNamesListItemIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### ListItemNameAttributes

- `archived-at` (datetime, optional, nullable)
- `created-at` (datetime, optional)
- `inquiry-matches` (list of any, optional)
- `match-count` (integer, optional, default: 0)
- `name-first` (string, optional)
- `name-last` (string, optional)
- `redacted-at` (datetime, optional, nullable)
- `status` (string, optional) — Possible values: - pending - active - archived Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update.
- `updated-at` (datetime, optional, nullable)

### ListItemNameRelationships

- `creator` (ListItemNameRelationshipsCreator, optional)

### ListItemNameRelationshipsCreator

- `data` (ListItemNameRelationshipsCreatorData, optional, nullable)

### ListItemNameRelationshipsCreatorData

### ListItemNameRelationshipsCreatorData0

- `type` ("user", optional)
- `id` (string, optional)

### ListItemNameRelationshipsCreatorData1

- `type` ("workflow-run", optional)
- `id` (string, optional)

### ListItemNameRelationshipsCreatorData2

- `type` ("workflow-step/action", optional)
- `id` (string, optional)

### ListItemNameRelationshipsCreatorData3

- `type` ("api-key", optional)
- `id` (string, optional)

### ListItemNameRelationshipsCreatorData4

- `type` ("importer/list-item/name", optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "id": "lin_soqGRWaUXZct3pCRbjRaXFqz",
    "type": "list-item/name",
    "attributes": {
      "archived-at": null,
      "created-at": "2020-09-18T18:07:53.000Z",
      "match-count": 0,
      "name-first": "Joe",
      "name-last": "Imposter",
      "redacted-at": null,
      "status": "pending",
      "updated-at": "2020-09-18T18:07:53.000Z"
    },
    "relationships": {
      "creator": {
        "data": null
      }
    }
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/list-item/names/list-item-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/list-item/names/list-item-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/list-item/names/list-item-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/list-item/names/list-item-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/list-item/names/list-item-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/list-item/names/list-item-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/list-item/names/list-item-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/list-item/names/list-item-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```